libkf5kipi-dev_17.08.3-1_i386.deb


Advertisement

Description

libkf5kipi-dev - KDE Image Plugin Interface library -- development files

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libkf5kipi-dev_17.08.3-1_i386.deb
Package name libkf5kipi-dev
Package version 17.08.3
Package release 1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://www.kde.org/
License -
Maintainer Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 23.34 KB
Installed size 120.00 KB
Libkipi is a KDE library that provides a common interface for operations
on images such as manipulation, organization, importing from and exporting
to online services (and not only these), batch editing, etc.
These services are used in graphics applications such as gwenview, digiKam,
kphotoalbum, and spectacle.
This package provides the development files for using the kipi library,
and documentation for it (in the header files).

Alternatives

Package Version Architecture Repository
libkf5kipi-dev_17.08.3-1_amd64.deb 17.08.3 amd64 Debian Main
libkf5kipi-dev - - -

Requires

Name Value
libkf5kipi32.0.0 = 4:17.08.3-1
pkg-config -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libkf5kipi-dev_17.08.3-1_i386.deb
Source Package libkf5kipi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkf5kipi-dev deb package:
    # sudo apt-get install libkf5kipi-dev

Files

Path
/usr/include/KF5/libkipi_version.h
/usr/include/KF5/KIPI/KIPI/ConfigWidget
/usr/include/KF5/KIPI/KIPI/ImageCollection
/usr/include/KF5/KIPI/KIPI/ImageCollectionSelector
/usr/include/KF5/KIPI/KIPI/ImageCollectionShared
/usr/include/KF5/KIPI/KIPI/ImageInfo
/usr/include/KF5/KIPI/KIPI/ImageInfoShared
/usr/include/KF5/KIPI/KIPI/Interface
/usr/include/KF5/KIPI/KIPI/Plugin
/usr/include/KF5/KIPI/KIPI/PluginLoader
/usr/include/KF5/KIPI/KIPI/UploadWidget
/usr/include/KF5/KIPI/kipi/configwidget.h
/usr/include/KF5/KIPI/kipi/imagecollection.h
/usr/include/KF5/KIPI/kipi/imagecollectionselector.h
/usr/include/KF5/KIPI/kipi/imagecollectionshared.h
/usr/include/KF5/KIPI/kipi/imageinfo.h
/usr/include/KF5/KIPI/kipi/imageinfoshared.h
/usr/include/KF5/KIPI/kipi/interface.h
/usr/include/KF5/KIPI/kipi/libkipi_config.h
/usr/include/KF5/KIPI/kipi/libkipi_export.h
/usr/include/KF5/KIPI/kipi/plugin.h
/usr/include/KF5/KIPI/kipi/pluginloader.h
/usr/include/KF5/KIPI/kipi/uploadwidget.h
/usr/lib/i386-linux-gnu/libKF5Kipi.so
/usr/lib/i386-linux-gnu/cmake/KF5Kipi/KF5KipiConfig.cmake
/usr/lib/i386-linux-gnu/cmake/KF5Kipi/KF5KipiConfigVersion.cmake
/usr/lib/i386-linux-gnu/cmake/KF5Kipi/KF5KipiTargets-debian.cmake
/usr/lib/i386-linux-gnu/cmake/KF5Kipi/KF5KipiTargets.cmake
/usr/share/doc/libkf5kipi-dev/changelog.Debian.gz
/usr/share/doc/libkf5kipi-dev/copyright

Changelog

2017-12-09 - Pino Toscano <pino@debian.org>
libkf5kipi (4:17.08.3-1) unstable; urgency=medium
* Team upload.
* Upload to unstable. (see #883624)
[ Pino Toscano ]
* New upstream release.
* Bump Standards-Version to 4.1.2, no changes required.
* Simplify watch file, and switch it to https.
* Replace ksnapshot with spectacle in descriptions.
* Remove all the libkipi*-dev conflicts from libkf5kipi-dev, since they are
not conflicting anymore.
* Remove the libkf5kipi30.0.0, and libkf5kipi31.0.0 breaks/replaces from
libkf5kipi32.0.0, since they have no files in common.
* Disable the building of tests, since there are no actual unit tests, but
only a test plugin
- pass -DBUILD_TESTING=OFF to cmake
- remove debian/not-installed, no more useful
- remove the now unused build dependencies: libkf5kexiv2-dev, libjpeg-dev,
libpng-dev, and libtiff-dev
[ Helmut Grohne ]
* Mark libkf5kipi-data Multi-Arch: foreign. (Closes: #880459)
2017-09-12 - Maximiliano Curia <maxy@debian.org>
libkf5kipi (4:17.08.1-1) experimental; urgency=medium
* New upstream release (17.08.1).
* Bump Standards-Version to 4.1.0.
* Update upstream metadata
* Release to experimental
2016-10-19 - Maximiliano Curia <maxy@debian.org>
libkf5kipi (4:16.08.2-1) unstable; urgency=medium
* New upstream release (16.08.2)
2016-08-28 - Pino Toscano <pino@debian.org>
libkf5kipi (4:16.08.0-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Bump the cmake build dependency to >= 3.0.0, according to the upstream
build system.
* Update install files.
* Do not install the kxmlhelloworld plugin, since it is only a test plugin.
* Since libkf5kipi-bin is now empty, remove it from the shlib dependency
injected with symbols files: this is needed as binaries linked with
libkf5kipi have the libkf5kipi-bin dependency as well.
- remove no more needed breaks/replaces from it
- tweak its description
* Drop the kde-runtime exclusion from shlibs, since it was for kdelibs 4.x
libraries.
* Drop the extra pkg-config dependency in libkf5kipi-dev.
2017-09-05 - Neon CI <neon@kde.org>
libkf5kipi (17.08.1-0neon) xenial; urgency=medium
* New release
2017-08-17 - Neon CI <neon@kde.org>
libkf5kipi (17.08.0-0neon) xenial; urgency=medium
* New release
2017-07-12 - Neon CI <neon@kde.org>
libkf5kipi (17.04.3-0neon) xenial; urgency=medium
* New release
2017-06-07 - Neon CI <neon@kde.org>
libkf5kipi (17.04.2-0neon) xenial; urgency=medium
* New release
2017-05-11 - Neon CI <neon@kde.org>
libkf5kipi (17.04.1-0neon) xenial; urgency=medium
* New release
2017-04-20 - Neon CI <neon@kde.org>
libkf5kipi (17.04.0-0neon) xenial; urgency=medium
* New release

See Also

Package Description
libkf5kipi32.0.0_17.08.3-1_i386.deb KDE Image Plugin Interface library
libkf5kirigami2-5_5.54.0-1_i386.deb set of QtQuick components targeted for mobile use
libkf5kirigami2-doc_5.54.0-1_all.deb set of QtQuick components targeted for mobile use (documentation)
libkf5kjs-dev_5.54.0-1_i386.deb Support for JS scripting in Qt applications
libkf5kmahjongglib-dev_17.08.3-1_i386.deb development files for the KDE kmahjongg library
libkf5kmahjongglib5_17.08.3-1_i386.deb shared library for kmahjongg and kshisen
libkf5kmanagesieve5_18.08.3-2_i386.deb Sieve remote script management support for kdepim, library
libkf5konq-dev_18.12.0-1_i386.deb development files for the Konqueror libraries
libkf5konq6_18.12.0-1_i386.deb core libraries for Konqueror
libkf5kontactinterface-data_18.08.3-1_all.deb Kontact interface library - data files
libkf5kontactinterface-dev_18.08.3-1_i386.deb Kontact interface library - development files
libkf5kontactinterface5_18.08.3-1_i386.deb Kontact interface library
libkf5krosscore5_5.54.0-1_i386.deb Multi-language application scripting
libkf5krossui5_5.54.0-1_i386.deb Multi-language application scripting
libkf5ksieve-data_18.08.3-2_all.deb Sieve mail filtering language support for kdepim, data files
Advertisement
Advertisement